<?php

/*
 * @package RS-MINI
 * @copyright (c) 2015 Alexey Glumov aka Rio-Shaman (support@rio-shaman.ru)
 * @license GNU General Public License version 2; see LICENSE.txt
 *
 */

namespace pub\test\view;

if(!defined('RS-MINI')) die();

/*
 * intro v 1.0
 * 
 * шаблон модуля pub.test
 *
 */

class intro extends \core\abstractview
{
    /*
     * получить ответ шаблона
     * 
     * @access - public
     * 
     */

    public function getResponse()
    {
        // если в узле testTextList есть узлы text
        if ($this->dom->getNode('testTextList')->count('text'))
            // то листаем узлы text
            foreach ($this->dom->getNode('testTextList')->getChildren('text') as $value) {
                // и выводим на экран значение атрибут value
                ?><?= $value->getAttr('value') ?><?
            }
    }
}
